petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESGetLagPreconditioner

Indicates how often the preconditioner is rebuilt

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetLagPreconditioner(SNES snes,PetscInt *lag)

Not Collective

### Input Parameter

snes -the SNES context

### Output Parameter

lag --1 indicates NEVER rebuild, 1 means rebuild every time the Jacobian is computed within a single nonlinear solve, 2 means every second time the Jacobian is built etc. -2 indicates rebuild preconditioner at next chance but then never rebuild after that

### Options Database Keys

-snes_lag_preconditioner <lag> - Notes: The default is 1 The preconditioner is ALWAYS built in the first iteration of a nonlinear solve unless lag is -1

### Keywords

SNES, nonlinear, set, convergence, tolerances

### See Also

SNESSetTrustRegionTolerance(), SNESSetLagPreconditioner()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages